html {
    background-color: rgb(33, 33, 33);
    color: rgb(224, 224, 224);

    font-family: "Source Sans Pro", sans-serif;
    font-size: 16px;
    font-weight: 400;

    line-height: 150%;

    text-rendering: optimizelegibility;
    -webkit-font-smoothing: antialiased;
}

a {
    color: rgb(54, 198, 255);
}

h1 {
    line-height: 125%;
    font-weight: 700;
    font-size: 2rem;
    margin: 0px 0px 1rem;
}

h2 {
    font-size: 1.25rem;
    margin: 0px 0px 0.5rem;
}

.cluster__description {
    font-size: 14px;
}

pre {
    background-color: rgba(255, 255, 255, 0.1);
    color: rgb(189, 189, 189);
    font-size: 15px;
    padding: 0.75rem;
    white-space: pre-wrap;
    overflow-wrap: break-word;
    border: 1px solid transparent;
}

pre:focus {
    border: 1px solid rgb(54, 198, 255);
}

.container {
    padding: 3rem;
}

.cluster-list {
    display: grid;
    grid-template-columns: repeat(1,minmax(0,1fr));
    row-gap: 1.5rem;
    column-gap: 1.5rem;
}

@media (min-width: 1024px) {
    .cluster-list {
        grid-template-columns: repeat(3,minmax(0,1fr));
    }
}

.cluster {
    background-color: rgba(255, 255, 255, 0.1);
    padding: 0.75rem;
    border: 1px solid transparent;
}

.cluster.selected {
    border: 1px solid rgb(54, 198, 255);
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
}

.cursor-pointer {
    cursor: pointer;
}

.error-icon {
    width: 51px;
    height: 51px;
    fill: rgb(255, 100, 110);
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}